Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.constraint
Class Classification

    Object
      CodeList<Classification>
          Classification

All Implemented Interfaces:
  Serializable, Comparable<Classification>

    @UML(identifier="MD_ClassificationCode",
         specification=ISO_19115)
    public final class Classification

extends CodeList<Classification>

Name of the handling restrictions on the dataset.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static Classification` | `CONFIDENTIAL` Available for someone who can be entrusted with information.
`static Classification` | `RESTRICTED` Not for general disclosure.
`static Classification` | `SECRET` Kept or meant to be kept private, unknown, or hidden from all but a select group of people.
`static Classification` | `TOP_SECRET` Of the highest secrecy.
`static Classification` | `UNCLASSIFIED` Available for general disclosure.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static Classification` | `valueOf(String code)` Returns the Classification that matches the given string, or returns a new one if none match it.
`static Classification[]` | `values()` Returns the list of `Classification`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNCLASSIFIED

    @UML(identifier="unclassified",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Classification UNCLASSIFIED

  Available for general disclosure.

### RESTRICTED

    @UML(identifier="restricted",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Classification RESTRICTED

  Not for general disclosure.

### CONFIDENTIAL

    @UML(identifier="confidential",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Classification CONFIDENTIAL

  Available for someone who can be entrusted with information.

### SECRET

    @UML(identifier="secret",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Classification SECRET

  Kept or meant to be kept private, unknown, or hidden from all but a select group of people.

### TOP_SECRET

    @UML(identifier="topsecret",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final Classification TOP_SECRET

  Of the highest secrecy.

Method Detail

### values

    public static Classification[] values()

  Returns the list of `Classification`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<Classification>`

### valueOf

    public static Classification valueOf(String code)

  Returns the Classification that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.